import { getStringEditorTemplate, StringEditor, agStringEditorStyles } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-string-editor
 */
export class ZeroStringEditor extends StringEditor {
}
/**
 * The Zero String editor
 *
 * @public
 * @remarks
 * HTML Element: \<zero-string-editor\>
 */
export const zeroAgStringEditor = ZeroStringEditor.compose({
    baseName: 'string-editor',
    styles: agStringEditorStyles,
    template: getStringEditorTemplate('zero'),
});
